# Namespace global

Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Namespace | global

### methods

- createReadOnlyPart (a0, a1, a2, a3)

  returns (KParts.ReadOnlyPart)

  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QObject | None
  a2 | QString | QString.null
  a3 | QStringList | QStringList ()

- createReadWritePart (a0, a1, a2, a3)

  returns (KParts.ReadWritePart)

  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QObject | None
  a2 | QString | QString.null
  a3 | QStringList | QStringList ()